
Foreman - Bug #630

Clicking on "build" deletes all historic data without confirmation (or successful operation)

01/28/2011 11:39 AM - Marcello de Sousa

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

By clicking on "Build" (accidentally or not) all the host historic data will be gone without any confirmation.

(Btw, the "Build" failed with an error "Failed to enable <machinename> for installation".)

I believe it should not delete the data if it fails.

Would be also nice to have a confirmation: "Are you sure ?" <Yes/No>

Associated revisions

Revision 00999d44 - 03/16/2011 08:32 AM - Ohad Levy

fixes #630 - Clicking on build deletes all historic data without confirmation

History

#1 - 03/09/2011 07:15 AM - Ohad Levy

adding the confirmation is fairly easy, but I cant understand why it failed without additional info... (logs etc).

thanks

#2 - 03/09/2011 03:46 PM - Marcello de Sousa

The fact that it fail was no issue (as I didn't configure anything related to unattended install yet). So it was an expected failure. The lack of a

confirmation is the only problem here I think.

Cheers,

Marcello

#3 - 03/16/2011 08:33 AM - Ohad Levy

- Category set to Web Interface

- Assignee set to Ohad Levy

#4 - 03/16/2011 08:49 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 00999d44171302dbd83a8239a0ed1958322f2bb6.

#5 - 03/16/2011 08:49 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
